GET users/{userIdentifier}/channelClasses
Authorization
Access to this endpoint is granted if all following conditions are true:
- Authenticated user passes at least one of the following conditions: Authenticated user matches identifier given in "userIdentifier, studentIdentifier" uri parameter. Authenticated user is a staff member and is assigned to the same center as a user who matches identifier given in "userIdentifier, studentIdentifier" uri parameter. Authenticated user matches identifier given in "userIdentifier, studentIdentifier" uri parameter.
- Authenticated user who is either StaffMember, Student
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| userIdentifier | PearsonEnglish.LearningServices.Business.Helpers.UserIdentifier |
Required |
Body Parameters
None.
Response Information
Resource Description
Collection of PearsonEnglish.LearningServices.Wse.Models.ChannelClass| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| RefClassId | string |
None. |
|
| StartDate | date |
None. |
|
| EndDate | date |
None. |
|
| Description | string |
None. |
|
| NumberOfSeats | integer |
None. |
|
| Categories | string |
None. |
|
| Duration | integer |
None. |
|
| JoinClassAvailable | boolean |
None. |
|
| CenterId | globally unique identifier |
None. |
|
| CenterName | string |
None. |
|
| CenterReferenceId | string |
None. |
|
| IsTechnologyEnabledCenter | boolean |
None. |
|
| IsScheduledInOnlineCenter | boolean |
None. |
|
| IsZoomEnabledCenter | boolean |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"Id": "6f3d18d7-1220-4f17-baab-62948c7a91b1",
"RefClassId": "sample string 2",
"StartDate": "2026-06-24T19:09:57.1815924+00:00",
"EndDate": "2026-06-24T19:09:57.1815924+00:00",
"Description": "sample string 5",
"NumberOfSeats": 6,
"Categories": "sample string 7",
"Duration": 8,
"JoinClassAvailable": true,
"CenterId": "d0aeacd8-f170-4342-981e-c42035dce1ed",
"CenterName": "sample string 11",
"CenterReferenceId": "sample string 12",
"IsTechnologyEnabledCenter": true,
"IsScheduledInOnlineCenter": true,
"IsZoomEnabledCenter": true
},
{
"Id": "6f3d18d7-1220-4f17-baab-62948c7a91b1",
"RefClassId": "sample string 2",
"StartDate": "2026-06-24T19:09:57.1815924+00:00",
"EndDate": "2026-06-24T19:09:57.1815924+00:00",
"Description": "sample string 5",
"NumberOfSeats": 6,
"Categories": "sample string 7",
"Duration": 8,
"JoinClassAvailable": true,
"CenterId": "d0aeacd8-f170-4342-981e-c42035dce1ed",
"CenterName": "sample string 11",
"CenterReferenceId": "sample string 12",
"IsTechnologyEnabledCenter": true,
"IsScheduledInOnlineCenter": true,
"IsZoomEnabledCenter": true
}
]